package cn.com.poc.thirdparty.resource.demand.pay.query;

import cn.com.yict.framemax.data.model.BaseItemClass;

import javax.persistence.Column;
import javax.persistence.Entity;
import java.io.Serializable;

/**
 * Query Item class for MarketingGameDistributionTopQuery
 */
@Entity
public class MarketingGameDistributionTopQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** nick_name
    *nick_name
    */ 
    private String nickName;
    
    @Column(name = "nick_name")
    public String getNickName(){
        return this.nickName;
    }
    
    public void setNickName(String nickName){
        this.nickName = nickName;
    }
    
    /** mobile_phone
    *mobile_phone
    */ 
    private String mobilePhone;
    
    @Column(name = "mobile_phone")
    public String getMobilePhone(){
        return this.mobilePhone;
    }
    
    public void setMobilePhone(String mobilePhone){
        this.mobilePhone = mobilePhone;
    }
    
    /** avatar_url
    *avatar_url
    */ 
    private String avatarUrl;
    
    @Column(name = "avatar_url")
    public String getAvatarUrl(){
        return this.avatarUrl;
    }
    
    public void setAvatarUrl(String avatarUrl){
        this.avatarUrl = avatarUrl;
    }
    
    /** member_id
    *member_id
    */ 
    private Integer memberId;
    
    @Column(name = "member_id")
    public Integer getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(Integer memberId){
        this.memberId = memberId;
    }
    
    /** marketing_game_flow_no
    *marketing_game_flow_no
    */ 
    private String marketingGameFlowNo;
    
    @Column(name = "marketing_game_flow_no")
    public String getMarketingGameFlowNo(){
        return this.marketingGameFlowNo;
    }
    
    public void setMarketingGameFlowNo(String marketingGameFlowNo){
        this.marketingGameFlowNo = marketingGameFlowNo;
    }
    
    /** distributionSum
    *分销订单总金额
    */ 
    private Long distributionSum;
    
    @Column(name = "distributionSum")
    public Long getDistributionSum(){
        return this.distributionSum;
    }
    
    public void setDistributionSum(Long distributionSum){
        this.distributionSum = distributionSum;
    }
    
} 